Oro\Bundle\CatalogBundle\Model\CategoryUnitPrecision:
    properties:
        precision:
            - NotBlank:
                message: 'oro.product.productunit.precision.blank'
            - Range:
                min: 0
                max: 10
            - Oro\Bundle\ValidationBundle\Validator\Constraints\Integer: ~

Oro\Bundle\CatalogBundle\Entity\Category:
    properties:
        titles:
            - Oro\Bundle\LocaleBundle\Validator\Constraints\NotBlankDefaultLocalizedFallbackValue:
                errorMessage: oro.catalog.category.title.blank
            - Valid: ~
        shortDescriptions:
            - Valid: ~
        longDescriptions:
            - Valid: ~
        slugPrototypes:
            - Valid: ~

Oro\Bundle\CatalogBundle\Entity\CategoryTitle:
    properties:
        fallback:
            - Length:
                  max: 64
            - Choice: { callback: getFallbacks }
        string:
            - Length:
                  max: 255

Oro\Bundle\CatalogBundle\Entity\CategoryShortDescription:
    properties:
        fallback:
            - Length:
                  max: 64
            - Choice: { callback: getFallbacks }

Oro\Bundle\CatalogBundle\Entity\CategoryLongDescription:
    properties:
        fallback:
            - Length:
                  max: 64
            - Choice: { callback: getFallbacks }
        wysiwyg:
            - Oro\Bundle\CMSBundle\Validator\Constraints\TwigContent: ~
            - Oro\Bundle\CMSBundle\Validator\Constraints\WYSIWYG: ~
        wysiwygStyle:
            - Oro\Bundle\CMSBundle\Validator\Constraints\TwigContent: ~
            - Oro\Bundle\CMSBundle\Validator\Constraints\WYSIWYGStyle: ~

Oro\Bundle\WebsiteSearchTermBundle\Entity\SearchTerm:
    properties:
        redirectCategory:
            -   Oro\Bundle\PlatformBundle\Validator\Constraints\When:
                    expression: 'this.getRedirectActionType() == "category"'
                    constraints:
                        -   NotBlank: ~
                    groups:
                        # Used in \Oro\Bundle\WebsiteSearchTermBundle\Controller\SearchTermController
                        - website_search_term_create
                        # Used in \Oro\Bundle\WebsiteSearchTermBundle\Controller\SearchTermController
                        - website_search_term_update
